WHOIS(1)

NAME
whois - client for the whois directory service

SYNOPSIS
whois [ -h HOST ] [ -p PORT ] [ -aCFHlLMmrRSVx ] [ -g SOURCE:FIRST-LAST ] [ -i ATTR ] [ -S SOURCE ] [ -T TYPE ] object whois [ -t ] [ -v ] template whois [ -q ] keyword

DESCRIPTION
whois searches for an object in a RFC-812 database. This version of the whois client tries to guess the right server to ask for the specified object. If no guess can be made it will connect to whois.internic.net for domains, whois.arin.net for IPv4 addresses and whois.6bone.net for IPv6 addresses.

OPTIONS

-h HOST
    Connect to HOST.

-H  Do not display the legal disclaimers some registries like to show you.

-p PORT
    Connect to PORT.

-V  Be verbose.

Other options are flags understood by RIPE-like servers.

NOTES
Please remember that whois.networksolutions.com by default will only search in the domains database. If you want to search for hostnames, NIC handles or people names you have to prepend the appropriate keyword (HOst, HAndle or NAme).

If the ! character is prepended to a NIC handle, the default server becomes whois.networksolutions.com.

When querying whois.arin.net for AS numbers, the program will automatically convert the request in the appropriate format, inserting a space after the string "AS".

When querying whois.ncst.ernet.in for a string without spaces, the domain keyword is prepended.

When querying whois.corenic.net, machine readable output is requested.

RIPE-specific options are ignored when querying non-RIPE servers.

ENVIRONMENT

LANG
    When querying whois.nic.ad.jp english text is requested unless the LANG environment variable specifies a Japanese locale.

WHOIS_SERVER
    This server will be queried if the program cannot guess where the object is located. If the variable does not exist then whois.internic.net will be queried.

WHOIS_HIDE
    If this variable is defined, legal disclaimers will be hidden even if the -H flag is not used.

SEE ALSO
RFC 812: NICNAME/WHOIS

RIPE-157, RIPE-189: RIPE NCC Database Documentation

Detailed help on available flags can be found in RIPE-157 or in the help file which can be obtained with the command:

    whois -h whois.ripe.net HELP

HISTORY
This program closely tracks the user interface of the whois client developed at RIPE by Ambrose Magee and others on the base of the original BSD client. I also added support for the protocol extensions developed by David Kessens of QWest for the 6bone server.

AUTHOR
Whois and this man page were written by Marco d'Itri <md@linux.it> and are licensed under the GPL.